Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.msg
Class MessageBundle

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle

Direct Known Subclasses:
  ASSIGNMessages, ASSIGNMessages, BpelCompileCommandMessages, CommandLineMessages, CommonMessages, CompilationMessageBundle, JacobMessages, Messages, Messages, Messages, Messages, Messages, Messages, Messages, Messages, Messages, Messages, Messages, Messages, ToolMessages, VersionMessages, XsdMessages

    public abstract class MessageBundle

extends java.util.ResourceBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`MessageBundle()`

Method Summary
`protected java.lang.String` | `format(java.lang.String message)`
`protected java.lang.String` | `format(java.lang.String message, java.lang.Object... args)`
`java.util.Enumeration<java.lang.String>` | `getKeys()`
`static
`<T extends MessageBundle> T`
` | `getMessages(java.lang.Class<T> bundleInterface)`
`static
`<T extends MessageBundle> T`
` | `getMessages(java.lang.Class<T> bundleInterface, java.util.Locale locale)`
`protected java.lang.Object` | `handleGetObject(java.lang.String key)`
`protected java.lang.String` | `todo()` Generate a "todo" message.

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBundle

    public MessageBundle()

Method Detail

### getMessages

    public static <T extends MessageBundle> T getMessages(java.lang.Class<T> bundleInterface)

### getMessages

    public static <T extends MessageBundle> T getMessages(java.lang.Class<T> bundleInterface,
                                                          java.util.Locale locale)

### todo

    protected java.lang.String todo()

  Generate a "todo" message.

  Returns:
    todo message string

### handleGetObject

    protected java.lang.Object handleGetObject(java.lang.String key)

  Specified by:
    `handleGetObject` in class `java.util.ResourceBundle`

### getKeys

    public java.util.Enumeration<java.lang.String> getKeys()

  Specified by:
    `getKeys` in class `java.util.ResourceBundle`

### format

    protected java.lang.String format(java.lang.String message)

### format

    protected java.lang.String format(java.lang.String message,
                                      java.lang.Object... args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD